Name:           kaudiocreator
Version:        1.2.90
Release:        2%{?dist}
Summary:        Program for ripping and encoding Audio-CDs

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://kde-apps.org/content/show.php?content=107645
Source0:        http://kde-apps.org/CONTENT/content-files/107645-%{name}-%{version}.tar.bz2

Patch1:         kaudiocreator-1.2.90-addlibs.patch

BuildRequires:  cmake
BuildRequires:  kdemultimedia-devel
BuildRequires:  libdiscid-devel
BuildRequires:  taglib-devel
BuildRequires:  desktop-file-utils

%description
KAudioCreator is a program for ripping and
encoding Audio-CDs, encoding files from disk.

%prep
%setup -q
%patch1 -p0


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kaudiocreator.desktop

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC Changelog
%{_kde4_bindir}/kaudiocreator
%{_kde4_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde4_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde4_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde4_datadir}/kde4/services/ServiceMenus/audiocd_extract.desktop
%{_kde4_appsdir}/kaudiocreator
%{_kde4_appsdir}/kconf_update/kaudiocreator*.upd
%{_kde4_appsdir}/kconf_update/upgrade-kaudiocreator-metadata.sh
%{_kde4_iconsdir}/hicolor/*/apps/kaudiocreator.png


%changelog
* Fri Dec 03 2010 Dmitrij S. Kryzhevich <krege@land.ru> 1.2.90-2
- Spec cleanup.
- Remove gtk2 from BR.

* Wed Nov 03 2010 Dmitrij S. Kryzhevich <krege@land.ru> 1.2.90-1
- Initial build.